Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QCanvasText Class Reference

The QCanvasText class provides a text object on a QCanvas. More...

    #include <QCanvasText>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code.

Inherits QCanvasItem.

- List of all members, including inherited members

### Public Functions

- QCanvasText ( QCanvas * canvas )
- QCanvasText ( const QString & t, QCanvas * canvas )
- QCanvasText ( const QString & t, QFont f, QCanvas * canvas )
- virtual ~QCanvasText ()
- virtual QRect boundingRect () const
- QColor color () const
- QFont font () const
- virtual int rtti () const
- void setColor ( const QColor & c )
- void setFont ( const QFont & f )
- void setText ( const QString & t )
- void setTextFlags ( int f )
- QString text () const
- int textFlags () const

- 38 public functions inherited from QCanvasItem

### Protected Functions

- virtual void draw ( QPainter & painter )

- 1 protected function inherited from QCanvasItem

## Detailed Description

The QCanvasText class provides a text object on a QCanvas.

A canvas text item has text with font, color and alignment attributes. The text and font can be set in the constructor or set or changed later with setText() and setFont(). The color is set with setColor() and the alignment with setTextFlags(). The text item's bounding rectangle is retrieved with boundingRect().

The text can be drawn on a painter with draw().

Like any other canvas item text items can be moved with QCanvasItem::move() and QCanvasItem::moveBy(), or by setting coordinates with QCanvasItem::setX(), QCanvasItem::setY() and QCanvasItem::setZ().

## Member Function Documentation

### QCanvasText::QCanvasText ( QCanvas * canvas )

Constructs a QCanvasText with the text "<text>", on canvas.

### QCanvasText::QCanvasText ( const QString & t, QCanvas * canvas )

Constructs a QCanvasText with the text t, on canvas canvas.

### QCanvasText::QCanvasText ( const QString & t, QFont f, QCanvas * canvas )

Constructs a QCanvasText with the text t and font f, on the canvas canvas.

### QCanvasText::~QCanvasText () `[virtual]`

Destroys the canvas text item.

### QRect QCanvasText::boundingRect () const `[virtual]`

Returns the bounding rectangle of the text.

Reimplemented from QCanvasItem.

### QColor QCanvasText::color () const

Returns the color of the text.

See also setColor().

### void QCanvasText::draw ( QPainter & painter ) `[virtual protected]`

Draws the text using the painter painter.

Reimplemented from QCanvasItem.

### QFont QCanvasText::font () const

Returns the font in which the text is drawn.

See also setFont().

### int QCanvasText::rtti () const `[virtual]`

Returns 3 (QCanvasItem::Rtti_Text).

Reimplemented from QCanvasItem.

See also QCanvasItem::rtti().

### void QCanvasText::setColor ( const QColor & c )

Sets the color of the text to the color c.

See also color() and setFont().

### void QCanvasText::setFont ( const QFont & f )

Sets the font in which the text is drawn to font f.

See also font().

### void QCanvasText::setText ( const QString & t )

Sets the text item's text to t. The text may contain newlines.

See also text(), setFont(), setColor(), and setTextFlags().

### void QCanvasText::setTextFlags ( int f )

Sets the alignment flags to f. These are a bitwise OR of the flags available to QPainter::drawText() -- see Qt::Alignment.

See also setFont() and setColor().

### QString QCanvasText::text () const

Returns the text item's text.

See also setText().

### int QCanvasText::textFlags () const

Returns the currently set alignment flags.

See also setTextFlags() and Qt::Alignment.